Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicEventBulkRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>
io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicEventBulkRequest

public static final class DaprAppCallbackProtos.TopicEventBulkRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder> implements DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder

     TopicEventBulkRequest represents request for bulk message

Protobuf type `dapr.proto.runtime.v1.TopicEventBulkRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`addAllEntries(Iterable<? extends DaprAppCallbackProtos.TopicEventBulkRequestEntry> values)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`addEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry value)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`addEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder builderForValue)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`addEntries(DaprAppCallbackProtos.TopicEventBulkRequestEntry value)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`addEntries(DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder builderForValue)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder`
`addEntriesBuilder()`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder`
`addEntriesBuilder(int index)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventBulkRequest`
`build()`
`DaprAppCallbackProtos.TopicEventBulkRequest`
`buildPartial()`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clear()`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearEntries()`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearId()`
Unique identifier for the bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearMetadata()`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearPath()`
The matching path from TopicSubscription/routes (if specified) for this event.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearPubsubName()`
The name of the pubsub the publisher sent to.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearTopic()`
The pubsub topic which publisher sent to.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clearType()`
The type of event related to the originating occurrence.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`clone()`
`boolean`
`containsMetadata(String key)`
The metadata associated with the this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry`
`getEntries(int index)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder`
`getEntriesBuilder(int index)`
The list of items inside this bulk request.
`List<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`
`getEntriesBuilderList()`
The list of items inside this bulk request.
`int`
`getEntriesCount()`
The list of items inside this bulk request.
`List<DaprAppCallbackProtos.TopicEventBulkRequestEntry>`
`getEntriesList()`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
`getEntriesOrBuilder(int index)`
The list of items inside this bulk request.
`List<? extends DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder>`
`getEntriesOrBuilderList()`
The list of items inside this bulk request.
`String`
`getId()`
Unique identifier for the bulk request.
`com.google.protobuf.ByteString`
`getIdBytes()`
Unique identifier for the bulk request.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata associated with the this bulk request.
`Map<String,String>`
`getMetadataMap()`
The metadata associated with the this bulk request.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata associated with the this bulk request.
`String`
`getMetadataOrThrow(String key)`
The metadata associated with the this bulk request.
`Map<String,String>`
`getMutableMetadata()`
Deprecated.
`String`
`getPath()`
The matching path from TopicSubscription/routes (if specified) for this event.
`com.google.protobuf.ByteString`
`getPathBytes()`
The matching path from TopicSubscription/routes (if specified) for this event.
`String`
`getPubsubName()`
The name of the pubsub the publisher sent to.
`com.google.protobuf.ByteString`
`getPubsubNameBytes()`
The name of the pubsub the publisher sent to.
`String`
`getTopic()`
The pubsub topic which publisher sent to.
`com.google.protobuf.ByteString`
`getTopicBytes()`
The pubsub topic which publisher sent to.
`String`
`getType()`
The type of event related to the originating occurrence.
`com.google.protobuf.ByteString`
`getTypeBytes()`
The type of event related to the originating occurrence.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMutableMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`mergeFrom(DaprAppCallbackProtos.TopicEventBulkRequest other)`
`final DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`putAllMetadata(Map<String,String> values)`
The metadata associated with the this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`putMetadata(String key, String value)`
The metadata associated with the this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`removeEntries(int index)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`removeMetadata(String key)`
The metadata associated with the this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry value)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder builderForValue)`
The list of items inside this bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setId(String value)`
Unique identifier for the bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setIdBytes(com.google.protobuf.ByteString value)`
Unique identifier for the bulk request.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setPath(String value)`
The matching path from TopicSubscription/routes (if specified) for this event.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setPathBytes(com.google.protobuf.ByteString value)`
The matching path from TopicSubscription/routes (if specified) for this event.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setPubsubName(String value)`
The name of the pubsub the publisher sent to.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setPubsubNameBytes(com.google.protobuf.ByteString value)`
The name of the pubsub the publisher sent to.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setTopic(String value)`
The pubsub topic which publisher sent to.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setTopicBytes(com.google.protobuf.ByteString value)`
The pubsub topic which publisher sent to.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setType(String value)`
The type of event related to the originating occurrence.
`DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setTypeBytes(com.google.protobuf.ByteString value)`
The type of event related to the originating occurrence.
`final DaprAppCallbackProtos.TopicEventBulkRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### internalGetMutableMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### clear

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### getDefaultInstanceForType

public DaprAppCallbackProtos.TopicEventBulkRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprAppCallbackProtos.TopicEventBulkRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprAppCallbackProtos.TopicEventBulkRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### setField

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### clearField

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### clearOneof

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### setRepeatedField

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### addRepeatedField

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder mergeFrom(DaprAppCallbackProtos.TopicEventBulkRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`
Throws:
  `IOException`

### getId

public String getId()

     Unique identifier for the bulk request.

`string id = 1;`

Specified by:
  `getId` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The id.

### getIdBytes

public com.google.protobuf.ByteString getIdBytes()

     Unique identifier for the bulk request.

`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The bytes for id.

### setId

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setId(String value)

     Unique identifier for the bulk request.

`string id = 1;`

Parameters:
  `value` - The id to set.
Returns:
  This builder for chaining.

### clearId

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearId()

     Unique identifier for the bulk request.

`string id = 1;`

Returns:
  This builder for chaining.

### setIdBytes

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setIdBytes(com.google.protobuf.ByteString value)

     Unique identifier for the bulk request.

`string id = 1;`

Parameters:
  `value` - The bytes for id to set.
Returns:
  This builder for chaining.

### getEntriesList

public List<DaprAppCallbackProtos.TopicEventBulkRequestEntry> getEntriesList()

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

Specified by:
  `getEntriesList` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getEntriesCount

public int getEntriesCount()

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

Specified by:
  `getEntriesCount` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getEntries

public DaprAppCallbackProtos.TopicEventBulkRequestEntry getEntries(int index)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

Specified by:
  `getEntries` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### setEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry value)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### setEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder builderForValue)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### addEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder addEntries(DaprAppCallbackProtos.TopicEventBulkRequestEntry value)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### addEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder addEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry value)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### addEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder addEntries(DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder builderForValue)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### addEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder addEntries(int index, DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder builderForValue)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### addAllEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder addAllEntries(Iterable<? extends DaprAppCallbackProtos.TopicEventBulkRequestEntry> values)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### clearEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearEntries()

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### removeEntries

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder removeEntries(int index)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### getEntriesBuilder

public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder getEntriesBuilder(int index)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### getEntriesOrBuilder

public DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder getEntriesOrBuilder(int index)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

Specified by:
  `getEntriesOrBuilder` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getEntriesOrBuilderList

public List<? extends DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder> getEntriesOrBuilderList()

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

Specified by:
  `getEntriesOrBuilderList` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### addEntriesBuilder

public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder addEntriesBuilder()

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### addEntriesBuilder

public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder addEntriesBuilder(int index)

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### getEntriesBuilderList

public List<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder> getEntriesBuilderList()

     The list of items inside this bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

### getMetadataCount

public int getMetadataCount()
Description copied from interface: `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### containsMetadata

public boolean containsMetadata(String key)

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getMetadata

@Deprecated public Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getMetadataMap

public Map<String,String> getMetadataMap()

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getMetadataOrDefault

public String getMetadataOrDefault(String key, String defaultValue)

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### getMetadataOrThrow

public String getMetadataOrThrow(String key)

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`

### clearMetadata

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearMetadata()

### removeMetadata

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder removeMetadata(String key)

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

### getMutableMetadata

@Deprecated public Map<String,String> getMutableMetadata()
Deprecated.
Use alternate mutation accessors instead.

### putMetadata

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder putMetadata(String key, String value)

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

### putAllMetadata

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder putAllMetadata(Map<String,String> values)

     The metadata associated with the this bulk request.

`map<string, string> metadata = 3;`

### getTopic

public String getTopic()

     The pubsub topic which publisher sent to.

`string topic = 4;`

Specified by:
  `getTopic` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The topic.

### getTopicBytes

public com.google.protobuf.ByteString getTopicBytes()

     The pubsub topic which publisher sent to.

`string topic = 4;`

Specified by:
  `getTopicBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The bytes for topic.

### setTopic

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setTopic(String value)

     The pubsub topic which publisher sent to.

`string topic = 4;`

Parameters:
  `value` - The topic to set.
Returns:
  This builder for chaining.

### clearTopic

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearTopic()

     The pubsub topic which publisher sent to.

`string topic = 4;`

Returns:
  This builder for chaining.

### setTopicBytes

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setTopicBytes(com.google.protobuf.ByteString value)

     The pubsub topic which publisher sent to.

`string topic = 4;`

Parameters:
  `value` - The bytes for topic to set.
Returns:
  This builder for chaining.

### getPubsubName

public String getPubsubName()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 5;`

Specified by:
  `getPubsubName` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The pubsubName.

### getPubsubNameBytes

public com.google.protobuf.ByteString getPubsubNameBytes()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 5;`

Specified by:
  `getPubsubNameBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The bytes for pubsubName.

### setPubsubName

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setPubsubName(String value)

     The name of the pubsub the publisher sent to.

`string pubsub_name = 5;`

Parameters:
  `value` - The pubsubName to set.
Returns:
  This builder for chaining.

### clearPubsubName

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearPubsubName()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 5;`

Returns:
  This builder for chaining.

### setPubsubNameBytes

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setPubsubNameBytes(com.google.protobuf.ByteString value)

     The name of the pubsub the publisher sent to.

`string pubsub_name = 5;`

Parameters:
  `value` - The bytes for pubsubName to set.
Returns:
  This builder for chaining.

### getType

public String getType()

     The type of event related to the originating occurrence.

`string type = 6;`

Specified by:
  `getType` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The type.

### getTypeBytes

public com.google.protobuf.ByteString getTypeBytes()

     The type of event related to the originating occurrence.

`string type = 6;`

Specified by:
  `getTypeBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The bytes for type.

### setType

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setType(String value)

     The type of event related to the originating occurrence.

`string type = 6;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearType()

     The type of event related to the originating occurrence.

`string type = 6;`

Returns:
  This builder for chaining.

### setTypeBytes

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setTypeBytes(com.google.protobuf.ByteString value)

     The type of event related to the originating occurrence.

`string type = 6;`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

### getPath

public String getPath()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 7;`

Specified by:
  `getPath` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The path.

### getPathBytes

public com.google.protobuf.ByteString getPathBytes()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 7;`

Specified by:
  `getPathBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
Returns:
  The bytes for path.

### setPath

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setPath(String value)

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 7;`

Parameters:
  `value` - The path to set.
Returns:
  This builder for chaining.

### clearPath

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder clearPath()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 7;`

Returns:
  This builder for chaining.

### setPathBytes

public DaprAppCallbackProtos.TopicEventBulkRequest.Builder setPathBytes(com.google.protobuf.ByteString value)

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 7;`

Parameters:
  `value` - The bytes for path to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprAppCallbackProtos.TopicEventBulkRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`

### mergeUnknownFields

public final DaprAppCallbackProtos.TopicEventBulkRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequest.Builder>`